#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EPackageStatus {
    Available = 0,
    Preorder = 1,
    Unavailable = 2,
    Invalid = 3,
}

impl EPackageStatus {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Available as i32 => Some(Self::Available),
            x if x == Self::Preorder as i32 => Some(Self::Preorder),
            x if x == Self::Unavailable as i32 => Some(Self::Unavailable),
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            _ => None,
        }
    }
}
